Debian Bug report logs - #164593
vile: kill buffer autocompletion doesn't escape \

version graph

Package: vile; Maintainer for vile is Brendan O'Dea <bod@debian.org>; Source for vile is src:vile.

Reported by: Ryan Murray <rmurray@cyberhqz.com>

Date: Sun, 13 Oct 2002 18:03:01 UTC

Severity: normal

Found in version 9.3-d1

Fixed in version vile/9.3-l1

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>, vile@packages.qa.debian.org:
Bug#164593; Package vile. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@cyberhqz.com>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>, vile@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@cyberhqz.com>
To: submit@bugs.debian.org
Subject: vile: kill buffer autocompletion doesn't escape \
Date: Sun, 13 Oct 2002 10:55:06 -0700 (PDT)
Package: vile
Version: 9.3-d1
Severity: normal

Autocompletion for buffer names in the kill command does not escape \ if it
appears in the buffer name.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux cyberhq 2.4.19 #1 SMP Sun Aug 4 11:30:45 PDT 2002 i686 Pentium II (Deschutes) GenuineIntel GNU/Linux

Versions of the packages vile depends on:
ii  libc6          2.2.5-15       GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.2.20020112a- Shared libraries for terminal handling
ii  libperl5.8     5.8.0-13       Shared Perl library.
ii  vile-common    9.3-d1         VI Like Emacs - support files for vile/xvile



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>, vile@packages.qa.debian.org:
Bug#164593; Package vile. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>, vile@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 164593@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 164593@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=164593
Date: Sun, 16 Feb 2003 13:37:56 -0500
>                       Debian Bug report logs - #164593
>               vile: kill buffer autocompletion doesn't escape \

this will be fixed in 9.3k (I implemented it this morning).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Murray <rmurray@cyberhqz.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 164593-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 164593-close@bugs.debian.org
Subject: Bug#164593: fixed in vile 9.3-l1
Date: Sat, 01 Mar 2003 20:48:33 -0500
We believe that the bug you reported is fixed in the latest version of
vile, which is due to be installed in the Debian FTP archive:

vile-common_9.3-l1_all.deb
  to pool/main/v/vile/vile-common_9.3-l1_all.deb
vile-filters_9.3-l1_i386.deb
  to pool/main/v/vile/vile-filters_9.3-l1_i386.deb
vile-filters_9.3-l1_powerpc.deb
  to pool/main/v/vile/vile-filters_9.3-l1_powerpc.deb
vile-filters_9.3-l1_sparc.deb
  to pool/main/v/vile/vile-filters_9.3-l1_sparc.deb
vile_9.3-l1.diff.gz
  to pool/main/v/vile/vile_9.3-l1.diff.gz
vile_9.3-l1.dsc
  to pool/main/v/vile/vile_9.3-l1.dsc
vile_9.3-l1_i386.deb
  to pool/main/v/vile/vile_9.3-l1_i386.deb
vile_9.3-l1_powerpc.deb
  to pool/main/v/vile/vile_9.3-l1_powerpc.deb
vile_9.3-l1_sparc.deb
  to pool/main/v/vile/vile_9.3-l1_sparc.deb
xvile_9.3-l1_i386.deb
  to pool/main/v/vile/xvile_9.3-l1_i386.deb
xvile_9.3-l1_powerpc.deb
  to pool/main/v/vile/xvile_9.3-l1_powerpc.deb
xvile_9.3-l1_sparc.deb
  to pool/main/v/vile/xvile_9.3-l1_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 164593@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated vile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Mar 2003 11:52:58 +1100
Source: vile
Binary: xvile vile-filters vile vile-common
Architecture: all i386 powerpc source sparc 
Version: 9.3-l1
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Closes: 164593
Changes: 
 vile (9.3-l1) unstable; urgency=low
 .
   * New upstream patch version.
   * Corrects completion of file/buffer names containing backslashes
     (closes: #164593).
Files: 
 b00d6a2d7e1a81f3e47c7422fb24587e 648 editors optional vile_9.3-l1.dsc
 0c3c6112a066b4cac4de2dddb20ccfa8 281312 editors optional xvile_9.3-l1_i386.deb
 2cbf8e9aed420465839ac63b0e83dafa 472896 editors optional vile-common_9.3-l1_all.deb
 3708c2264b4f64c3ca8366086451af9b 335532 editors optional vile-filters_9.3-l1_powerpc.deb
 458aceb3cd481aa96153325c0e92a185 295500 editors optional vile_9.3-l1_powerpc.deb
 5694aca3068efb597af763a7da17d60f 352588 editors optional vile-filters_9.3-l1_sparc.deb
 66c491b9c92748137b530846fce80279 301928 editors optional vile-filters_9.3-l1_i386.deb
 762c3a304f6b19ab2bbe7cc6e73d00d4 320700 editors optional xvile_9.3-l1_powerpc.deb
 802574781e2b802db33b020030bdc8b5 304346 editors optional xvile_9.3-l1_sparc.deb
 a2e4ca86340a264dadf439ec22a84ac8 259024 editors optional vile_9.3-l1_i386.deb
 ddc8a80943105b36ac162dcf7d3ea1f4 279040 editors optional vile_9.3-l1_sparc.deb
 ec7b3876f5bd66ec78c8f3869c4c12e7 765428 editors optional vile_9.3-l1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+YWEz8NyOALKMWZURAlRoAKDn8CYTVYGAxqvrsYUcXDcAcvOR8gCfeKSG
XnT7kAa44eZspQMXmzU9Vds=
=yo/z
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:17:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.